using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;
using System.Diagnostics;

namespace PM_02_Polkovnikova
{
    public class Program
    {
        static void Main(string[] args)
        {
                Test test = new Test();
                test.Vvod();
                test.Vivod();
                TextWriterTraceListener[] listeners = new TextWriterTraceListener[]     //Создание txt файла
                {
                    new TextWriterTraceListener("Debug.txt")
                };
                
                Debug.Listeners.AddRange(listeners);
            
                Debug.WriteLine("Сообщение");  //Сообщение в txt файл
                Debug.Flush();
            
            Console.ReadKey();


        }



        public int Sum(int x, int y)
        {
            return x + y;
        }
    }

    public class Test
    {
        public string s; 

        public void Vvod()
        {


            StreamReader streamReader = new StreamReader("Vvod.csv");   //Файл для ввода данных
            while (!streamReader.EndOfStream)
            {
                s = streamReader.ReadLine();
                Console.WriteLine(s);
            }
            streamReader.Close();
        }
        public void Vivod()
        {
            string[] line = new string[] { s };
            File.WriteAllLines("Vivod.txt", line);  //Файл для вывода результата
        }
    }
}
